> ## Documentation Index
> Fetch the complete documentation index at: https://docs.enad.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Add a product to a relation

> Add an existing product to an existing product relation



## OpenAPI

````yaml /swagger/management-api.json put /api/v1/{team_slug}/{app_slug}/relations/{relation_id}/{product_id}
openapi: 3.0.0
info:
  contact:
    email: support@enad.io
    name: API support
    url: http://enad.io/support
  description: This is the documentation for Public API v1
  license:
    name: Apache 2.0
    url: http://www.apache.org/licenses/LICENSE-2.0.html
  termsOfService: http://enad.io/terms/
  title: Public API
  version: '1.0'
servers:
  - url: //api.enad.io
security: []
paths:
  /api/v1/{team_slug}/{app_slug}/relations/{relation_id}/{product_id}:
    put:
      tags:
        - Relations
      summary: Add a product to a relation
      description: Add an existing product to an existing product relation
      parameters:
        - description: App slug
          in: path
          name: app_slug
          required: true
          schema:
            type: string
        - description: Team slug
          in: path
          name: team_slug
          required: true
          schema:
            type: string
        - description: Relation ID
          in: path
          name: relation_id
          required: true
          schema:
            type: string
        - description: Product ID
          in: path
          name: product_id
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Product added to relation successfully
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/internal_pkg_webserver_v1.OkResponseRelation
        '400':
          description: Invalid request (e.g. bad UUID, validation error)
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/internal_pkg_webserver_v1.ErrorMessage'
        '401':
          description: Unauthorized access
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/internal_pkg_webserver_v1.ErrorMessage'
        '422':
          description: Invalid request and not parsable by backend
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/internal_pkg_webserver_v1.ErrorMessage'
        '500':
          description: Internal server error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/internal_pkg_webserver_v1.ErrorMessage'
      security:
        - BearerAuth: []
components:
  schemas:
    internal_pkg_webserver_v1.OkResponseRelation:
      properties:
        data:
          $ref: >-
            #/components/schemas/github_com_enadhq_nabbit_internal_pkg_webserver_models.Relation
        details:
          description: >-
            Additional contextual information about the response. Used to
            provide supplementary details beyond the main data payload, such as
            validation warnings or processing notes
          items:
            type: string
          type: array
        success:
          type: boolean
      type: object
    internal_pkg_webserver_v1.ErrorMessage:
      properties:
        details:
          items:
            type: string
          type: array
        message:
          type: string
        success:
          type: boolean
      type: object
    github_com_enadhq_nabbit_internal_pkg_webserver_models.Relation:
      properties:
        direction:
          type: string
        id:
          type: string
        primary_product_id:
          type: string
        products:
          items:
            $ref: >-
              #/components/schemas/github_com_enadhq_nabbit_internal_pkg_webserver_models.RelationProduct
          type: array
        title:
          type: string
        type:
          type: string
        type_id:
          type: string
      type: object
    github_com_enadhq_nabbit_internal_pkg_webserver_models.RelationProduct:
      properties:
        description:
          type: string
        id:
          type: string
        image_url:
          type: string
        product_name:
          type: string
        product_number:
          type: string
        slug:
          type: string
      type: object

````